=== debian/control ===
Source: tex-gyre
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13),
	tex-common
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://github.com/debian-tex/tex-gyre.git
Vcs-Browser: https://github.com/debian-tex/tex-gyre
Homepage: https://www.gust.org.pl/projects/e-foundry/tex-gyre/

Package: tex-gyre
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: fonts-texgyre (= ${source:Version}), fonts-texgyre-math (= ${source:Version})
Multi-Arch: foreign
Description: scalable PostScript and OpenType fonts based on URW Fonts
 The TeX Gyre project, following the Latin Modern project, aims at providing
 a rich collection of diacritical characters in the attempt to cover as many
 Latin-based scripts as possible.
 .
 This package provides TeX support and Type1 (PostScript) fonts. If only
 the OpenType fonts are needed, please see the package fonts-texgyre
 (and fonts-texgyre-math).
 .
 See the description for fonts-texgyre package for more information.

Package: fonts-texgyre
Section: fonts
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: fonts-texgyre-math (= ${source:Version})
Multi-Arch: foreign
Description: OpenType fonts based on URW Fonts
 The TeX Gyre project, following the Latin Modern project, aims at providing
 a rich collection of diacritical characters in the attempt to cover as many
 Latin-based scripts as possible.
 .
 This package provides the OpenType variant of these fonts. For support
 for TeX and Type 1 (PostScript) fonts, see the tex-gyre package.
 .
 The TeX-GYRE bundle consists of seven font families:
 .
 The TeX Gyre Adventor family of fonts is based on the URW Gothic L
 family (designed by Herb Lubalin and Tom Carnase).
 .
 The TeX Gyre Bonum family of fonts is based on the URW Bookman L family
 (designed by Alexander Phemister).
 .
 The TeX Gyre Chorus font is based on URW Chancery L Medium Italic
 (designed by Hermann Zapf (ITC Zapf Chancery(R), 1979)).
 .
 The TeX Gyre Cursor family is based on the URW Nimbus Mono L family
 (designed by Howard G. (Bud) Kettler in 1955 for the IBM corporation).
 .
 The TeX Gyre Heros family of fonts is based on the URW Nimbus Sans L
 (prepared by Max Miedinger, with Eduard Hoffmann).
 .
 The TeX Gyre Pagella family of fonts is based on the URW Palladio L
 family (designed by Hermann Zapf).
 .
 The TeX Gyre Schola family of fonts is based on the URW Century
 Schoolbook L family (designed by Morris Fuller Benton).
 .
 The TeX Gyre Termes is based on the URW Nimbus Roman No9 L family
 (designed by Stanley Morison together with Starling Burgess and
 Victor Lardent).
 .
 The constituent 4 standard faces of each family have been greatly
 extended, and contain nearly 1200 glyphs each.  Each family is
 available in Adobe Type 1 and Open Type formats, and LaTeX support
 (for use with a variety of encodings) is provided.  Vietnamese
 characters were added by Han The Thanh.

Package: fonts-texgyre-math
Section: fonts
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Replaces: fonts-texgyre (<< 20180621-4)
Breaks: fonts-texgyre (<< 20180621-4)
Multi-Arch: foreign
Description: OpenType math fonts based on URW Fonts
 The TeX Gyre project, following the Latin Modern project, aims at providing
 a rich collection of diacritical characters in the attempt to cover as many
 Latin-based scripts as possible.
 .
 This package provides the OpenType math fonts accompanying the following
 text fonts available in fonts-texgyre:
 .
 The TeX Gyre Bonum family of fonts is based on the URW Bookman L family
 (designed by Alexander Phemister).
 .
 The TeX Gyre DejaVu Math font is a math companion to the fine and popular
 DejaVu text fonts.
 .
 The TeX Gyre Pagella family of fonts is based on the URW Palladio L
 family (designed by Hermann Zapf).
 .
 The TeX Gyre Schola family of fonts is based on the URW Century
 Schoolbook L family (designed by Morris Fuller Benton).
 .
 The TeX Gyre Termes is based on the URW Nimbus Roman No9 L family
 (designed by Stanley Morison together with Starling Burgess and
 Victor Lardent).
